This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 695852 - Displaying resource type in context menu seems inconsistent
Displaying resource type in context menu seems inconsistent
Status: NEW
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.0
Unspecified Unspecified
low Severity low (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-12 15:57 EDT by John Sanda
Modified: 2011-10-12 10:55 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Sanda 2011-04-12 15:57:57 EDT
Description of problem:
Right-clicking on a resource in the inventory tree displays the context menu for a resource. The menu items displayed depend on what management functions are supported for the given resource. Each of the items corresponds to some action to be performed. For example, you right-click on a JBoss AS instance you will see menu items for operations, metrics, creating a child, and connection settings. Clicking on any of these results in some action being performed. For instance, selecting operations shows you the available operations for a resource, and clicking on one of the operations takes you to schedule a new operation. The resource type is displayed as a menu item, but it does not correspond to any action. This seems inconsistent with the rest of the menu items. Maybe it should be replaced with some action for showing info about a resource that includes the resource type, plugin, maybe resource key, and some other useful info.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Note You need to log in before you can comment on or make changes to this bug.